input.ng-invalid.ng-touched,
textarea.ng-invalid.ng-touched,
select.ng-invalid.ng-touched {
  border: 1px solid #dc3545;
}

.dropdown-list {
  border-radius: 0px !important;
  padding: 4px 10px !important;
}

.clrBlue {
  color: #2196f3 !important;
}

.multiselect-dropdown .dropdown-btn {
  padding-top: 30px !important;
  border: 1px solid #d3dbe3 !important;
  border-radius: 0px !important;
  background: #ffff;
}

.multiselect-dropdown .dropdown-btn .selected-item {
  font-size: 75% !important;
  margin: 1px 4px !important;
  background-color: #ebf3f7 !important;
  color: #000 !important;
  border: none !important;
}

.multiselect-dropdown .dropdown-btn .selected-item:hover {
  box-shadow: none !important;
}

.multiselect-dropdown .dropdown-btn .selected-item a {
  color: #000 !important;
}

a.greenBtnSmall {
  background: #49d587;
  color: #fff !important;
}

input[type="submit"].greenBtn {
  border: 0;
  color: #fff;
  background: #49d587;
  display: block;
  width: 150px;
  text-align: center;
  height: 50px;
  padding: 0;
  border-radius: 0;
  font-weight: normal;
}

button.greenBtn {
  border: 0;
  color: #fff;
  background: #49d587;
  display: block;
  width: 150px;
  text-align: center;
  height: 50px;
  padding: 0;
  border-radius: 0;
  font-weight: normal;
}

a.filterReset {
  background: #fff0de;
  border: 1px solid #fff0de;
  height: 48px;
  color: #faa43a !important;
}

a.confirmBtn,
a.cancelBtn {
  color: #fff !important;
}

.row .datatable {
  padding-bottom: 10px;
}

.dataTables_length {
  padding: 0px 30px;
}

.dt-li {
  padding: 30px 0px;
}

a.action-button {
  background: #2196f3;
  border: 1px solid #fff0de !important;
  height: 48px;
  color: #fff !important;
}

a.map-button {
  background: #e5f6fe;
  height: 48px;
  padding: 5px;
  padding-left: 25px;
  padding-right: 25px;
  margin: 0px 10px;
  text-align: center;
  color: #2196f3 !important;
}

.map-button span {
  width: 100px;
}

.map-button span {
  font-size: 15px;
  font-weight: normal;
}

/*Datatable local filter styles*/

.dataTable .dataTables_filter {
  float: right;
  text-align: left;
  font-size: 0;
  position: relative;
  margin-bottom: 15px;
  margin-top: -50px;
  margin-right: 130px;
}

.units .dataTable .dataTables_filter {
  margin-right: 8px;
}

.dataTable .dataTables_filter:before {
  content: "\e610";
  color: #a4a4a4;
  font-family: "themify";
  font-size: 14px;
  width: 14px;
  height: 14px;
  position: absolute;
  top: 10px;
  left: 20px;
  display: block;
}

.dataTable .dataTables_filter:after {
  content: "";
  color: #a4a4a4;
  font-size: 14px;
  position: absolute;
  left: 43px;
  top: 10px;
  transition: 0.5s;
}

.dataTable .dataTables_filter:hover:after {
  display: none;
  transition: 0.5s;
}

.noFilter .dataTables_filter {
  margin-right: 0;
}

.dataTable input {
  padding-left: 35px;
  padding-top: 0px;
  font-size: 16px;
  border: 1px solid #d3dbe3;
  background: #fff;
}

/*Placeholder Style*/

.dataTable input::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: #a4a4a4;
  font-weight: normal;
  font-size: 14px;
}

::-moz-placeholder {
  /* Firefox 19+ */
  color: #a4a4a4;
  font-weight: normal;
  font-size: 14px;
}

:-ms-input-placeholder {
  /* IE 10+ */
  color: #a4a4a4;
  font-weight: normal;
  font-size: 14px;
}

:-moz-placeholder {
  /* Firefox 18- */
  color: #a4a4a4;
  font-weight: normal;
  font-size: 14px;
}

/*Placeholder Style*/

::-ms-clear {
  display: none;
}

/*Progress Bar*/

.progress {
  height: 10px;
  width: 200px;
  margin-top: 5px;
  box-shadow: 0px 3px 5px -2px grey;
  border-radius: 10px;
  background-color: #28a745;
}

.progress-map {
  height: 8px;
  width: 106px;
  margin-top: 10px;
  margin-right: 5px;
}

.mapAddress {
}

.progress-bar {
  border-radius: 10px;
}

.progressLabel {
  float: left;
  margin-right: 15px;
  font-size: 15px;
  width: 50px;
}

.progressLabel-map {
  float: left;
  margin-top: -4px;
  margin-right: 5px;
  font-size: 15px;
}

/*Progress Bar*/

/* Toaster */

/* based on angular-toastr css https://github.com/Foxandxss/angular-toastr/blob/cb508fe6801d6b288d3afc525bb40fee1b101650/dist/angular-toastr.css */

/* position */

.toast-center-center {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.toast-top-center {
  top: 0;
  right: 0;
  width: 100%;
}

.toast-bottom-center {
  bottom: 0;
  right: 0;
  width: 100%;
}

.toast-top-full-width {
  top: 0;
  right: 0;
  width: 100%;
}

.toast-bottom-full-width {
  bottom: 0;
  right: 0;
  width: 100%;
}

.toast-top-left {
  top: 12px;
  left: 12px;
}

.toast-top-right {
  top: 12px;
  right: 12px;
}

.toast-bottom-right {
  right: 12px;
  bottom: 12px;
}

.toast-bottom-left {
  bottom: 12px;
  left: 12px;
}

/* toast styles */

.toast-title {
  font-weight: bold;
}

.toast-message {
  word-wrap: break-word;
}

.toast-message a,
.toast-message label {
  color: #ffffff;
}

.toast-message a:hover {
  color: #cccccc;
  text-decoration: none;
}

.toast-close-button {
  position: relative;
  right: -0.3em;
  top: -0.3em;
  float: right;
  font-size: 20px;
  font-weight: bold;
  color: #ffffff;
  text-shadow: 0 1px 0 #ffffff;
  /* opacity: 0.8; */
}

.toast-close-button:hover,
.toast-close-button:focus {
  color: #000000;
  text-decoration: none;
  cursor: pointer;
  opacity: 0.4;
}

/*Additional properties for button version
   iOS requires the button element instead of an anchor tag.
   If you want the anchor version, it requires `href="#"`.*/

button.toast-close-button {
  padding: 0;
  cursor: pointer;
  background: transparent;
  border: 0;
}

.toast-container {
  pointer-events: none;
  position: fixed;
  z-index: 999999;
}

.toast-container * {
  box-sizing: border-box;
}

.toast-container .ngx-toastr {
  position: relative;
  overflow: hidden;
  margin: 0 0 6px;
  padding: 15px 15px 15px 50px;
  width: 300px;
  border-radius: 3px 3px 3px 3px;
  background-position: 15px center;
  background-repeat: no-repeat;
  background-size: 24px;
  box-shadow: 0 0 12px #999999;
  color: #ffffff;
}

.toast-container .ngx-toastr:hover {
  box-shadow: 0 0 12px #000000;
  opacity: 1;
  cursor: pointer;
}

/* https://github.com/FortAwesome/Font-Awesome-Pro/blob/master/advanced-options/raw-svg/regular/info-circle.svg */

.toast-info {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' width='512' height='512'%3E%3Cpath fill='rgb(255,255,255)' d='M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z'/%3E%3C/svg%3E");
}

/* https://github.com/FortAwesome/Font-Awesome-Pro/blob/master/advanced-options/raw-svg/regular/times-circle.svg */

.toast-error {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' width='512' height='512'%3E%3Cpath fill='rgb(255,255,255)' d='M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm121.6 313.1c4.7 4.7 4.7 12.3 0 17L338 377.6c-4.7 4.7-12.3 4.7-17 0L256 312l-65.1 65.6c-4.7 4.7-12.3 4.7-17 0L134.4 338c-4.7-4.7-4.7-12.3 0-17l65.6-65-65.6-65.1c-4.7-4.7-4.7-12.3 0-17l39.6-39.6c4.7-4.7 12.3-4.7 17 0l65 65.7 65.1-65.6c4.7-4.7 12.3-4.7 17 0l39.6 39.6c4.7 4.7 4.7 12.3 0 17L312 256l65.6 65.1z'/%3E%3C/svg%3E");
}

/* https://github.com/FortAwesome/Font-Awesome-Pro/blob/master/advanced-options/raw-svg/regular/check.svg */

.toast-success {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512' width='512' height='512'%3E%3Cpath fill='rgb(255,255,255)' d='M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z'/%3E%3C/svg%3E");
}

/* https://github.com/FortAwesome/Font-Awesome-Pro/blob/master/advanced-options/raw-svg/regular/exclamation-triangle.svg */

.toast-warning {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512' width='576' height='512'%3E%3Cpath fill='rgb(255,255,255)' d='M569.517 440.013C587.975 472.007 564.806 512 527.94 512H48.054c-36.937 0-59.999-40.055-41.577-71.987L246.423 23.985c18.467-32.009 64.72-31.951 83.154 0l239.94 416.028zM288 354c-25.405 0-46 20.595-46 46s20.595 46 46 46 46-20.595 46-46-20.595-46-46-46zm-43.673-165.346l7.418 136c.347 6.364 5.609 11.346 11.982 11.346h48.546c6.373 0 11.635-4.982 11.982-11.346l7.418-136c.375-6.874-5.098-12.654-11.982-12.654h-63.383c-6.884 0-12.356 5.78-11.981 12.654z'/%3E%3C/svg%3E");
}

.toast-container.toast-top-center .ngx-toastr,
.toast-container.toast-bottom-center .ngx-toastr {
  width: 300px;
  margin-left: auto;
  margin-right: auto;
}

.toast-container.toast-top-full-width .ngx-toastr,
.toast-container.toast-bottom-full-width .ngx-toastr {
  width: 96%;
  margin-left: auto;
  margin-right: auto;
}

.ngx-toastr {
  background-color: #030303;
  pointer-events: auto;
}

.toast-success {
  background-color: #51a351;
}

.toast-error {
  background-color: #bd362f;
}

.toast-info {
  background-color: #2f96b4;
}

.toast-warning {
  background-color: #f89406;
}

.toast-progress {
  position: absolute;
  left: 0;
  bottom: 0;
  height: 4px;
  background-color: #000000;
  opacity: 0.4;
}

/* Responsive Design */

@media all and (max-width: 240px) {
  .toast-container .ngx-toastr.div {
    padding: 8px 8px 8px 50px;
    width: 11em;
  }

  .toast-container .toast-close-button {
    right: -0.2em;
    top: -0.2em;
  }
}

@media all and (min-width: 241px) and (max-width: 480px) {
  .toast-container .ngx-toastr.div {
    padding: 8px 8px 8px 50px;
    width: 18em;
  }

  .toast-container .toast-close-button {
    right: -0.2em;
    top: -0.2em;
  }
}

@media all and (min-width: 481px) and (max-width: 768px) {
  .toast-container .ngx-toastr.div {
    padding: 15px 15px 15px 50px;
    width: 25em;
  }
}

/* Toaster */

/* Mapbox */

.map-property-info {
  width: 243px;
  height: 105px;
  background-color: white;
  padding: 0px 10px;
  box-shadow: 0px 0px 7px 0px #000;
  /* margin-left: -103px; // was needed for AGM Overlay not for mgl mapbox markers*/
  margin-top: -155px;
}

.overlay {
  position: fixed;
  /* Sit on top of the page content */
  display: block;
  /* Hidden by default */
  width: 100%;
  /* Full width (cover the whole page) */
  height: 100%;
  /* Full height (cover the whole page) */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  /* Black background with opacity */
  z-index: 9999;
  /* Specify a stack order in case you're using a different order for other elements */
  /* cursor: pointer; */
  /* Add a pointer on hover */
}

/* Mapbox */

.filterBtn {
  background: #2196f3;
  width: 50px;
  height: 50px;
  margin: 0px 10px;
  padding-top: 8px;
  text-align: center;
  color: #fff !important;
}

input[type="date"]:required:invalid::-webkit-datetime-edit {
  color: transparent;
}

.overview-total {
  position: relative;
}

.overview-num {
  position: absolute;
  font-size: 60px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  margin-left: 8px;
}

.overview-num sup {
  top: -1.5em;
}

h6.dt-heading {
  margin-bottom: -25px;
}

a {
  cursor: pointer;
}

/* 
pdf-viewer {
  display: block;
  height: 100vh;
} */

.viewMapZoom {
  transition: transform 0.2s;
}

.viewMapZoom:hover {
  transform: scale(1.2);
  /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

.noDataFound {
  margin: 20px auto;
  max-width: 462px;
  text-align: center;
}

.sidebar {
  font-size: 13px;
  overflow-y: hidden;
}

.nav-link {
  margin: 0px 0px;
}

/* Date Input customization */

/* Chrome, Safari, Edge, Opera */

input[type="date"]::-webkit-outer-spin-button,
input[type="date"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */

input[type="date"] {
  -moz-appearance: textfield;
}

.loaderImage {
  height: 120px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  user-drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-drag: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

tr.invTitle td {
  padding: 15px 8px;
}

tr.withBorder td {
  padding: 5px 10px;
}

/* body {
    font-size: 0.8rem;
}

h6, h5, h4, h3, h2, h1 {
    font-size: 1.0rem;
}

th, td {
    font-size: 0.8rem;
} */

/* Dashboard fixing*/

.pb2L {
  width: 145px;
}

.countedNumber a:not(.percent) {
  font-size: 20px;
}

.counterBox {
  padding: 4px;
}

.counteTitle,
.counteTitle a {
  font-size: 10px;
}

span.currency {
  font-size: 11px;
}

a.percent {
  font-size: 13px;
  right: 2px;
  bottom: 13px;
  top: unset;
}

.mt-5 {
  margin-top: 4.5rem !important;
}

@media only screen and (max-width: 1400px) {
  td,
  td > *,
  th,
  th > * {
    font-size: 12px !important;
  }
}

.slider {
  border: 1px solid #dc3545;
}

.slider:before {
  background-color: #dc3545;
}

input:checked + .slider {
  background-color: #fff;
  border: 1px solid #28a745;
}

input:focus + .slider {
  box-shadow: 0 0 1px #28a745;
}

input:checked + .slider:before {
  background: #28a745;
}

.filterTable {
  position: absolute;
  right: 30px;
  top: 330px;
  background-color: #fff;
  z-index: 10;
  padding: 20px 30px;
  height: auto;
  width: 20%;
  box-shadow: 0 10px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

/* Hide Arrow of number input */
.hideArrow::-webkit-outer-spin-button,
.hideArrow::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.hideArrow[type="number"] {
  -moz-appearance: textfield;
}

/* Hide Arrow of number input */

.height-400px {
  height: 400px;
}

.fixed-header thead th {
  top: 0;
  position: sticky;
  background-color: #ebf3f7;
  opacity: 1;
  z-index: 1;
}

.ehDBR2 {
  min-height: 350px;
}

.frmRegular input[type="submit"] {
  padding: 10px 10px 4px 10px;
}

.tooltipx {
  cursor: pointer;
}

.tooltipx .tooltipxtext {
  visibility: hidden;
  width: 240px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;
}

.tooltipx:hover .tooltipxtext {
  visibility: visible;
}
